Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class ErrorType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.ErrorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class ErrorType

extends Object
implements Serializable

to specify possible errors

Java class for errorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="errorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ERROR" maxOccurs="unbounded"/>
             <element name="description" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ErrorType()`

Method Summary
`List<CDERROR>` | `getCds()` Gets the value of the cds property.
`TextType` | `getDescription()` Gets the value of the description property.
`List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setDescription(TextType value)` Sets the value of the description property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorType

    public ErrorType()

Method Detail

### getIds

    public List<IDKMEHR> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDKMEHR`

### getCds

    public List<CDERROR> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDERROR`

### getDescription

    public TextType getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `TextType`

### setDescription

    public void setDescription(TextType value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `TextType`

### getUrl

    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.